al_attach_sample_instance_to_voice(3)

NAME

al_attach_sample_instance_to_voice - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_attach_sample_instance_to_voice(ALLEGRO_SAMPLE_INSTANCE *spl,
       ALLEGRO_VOICE *voice)

DESCRIPTION

Attaches a sample instance to a voice, and allows it to play. The instance's gain and loop mode will be ignored, and it must have the same frequency, channel configuration and depth (including signed-ness) as the voice. This function may fail if the selected driver doesn't support preloading sample data.

At this time, we don't recommend attaching sample instances directly to voices. Use a mixer inbetween.

Returns true on success, false on failure.

SEE ALSO

al_detach_voice(3)